Create Permission Policy - m3ter Documentation

Create Permission Policy

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/permissionpolicies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "permissionPolicy": [\
    {\
      "action": [],\
      "resource": [\
        "<string>"\
      ]\
    }\
  ],
  "version": 123
}
'```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/permissionpolicies"

payload = {
    "name": "<string>",
    "permissionPolicy": [\
        {\
            "action": [],\
            "resource": ["<string>"]\
        }\
    ],
    "version": 123
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    permissionPolicy: [{action: [], resource: ['<string>'']}],
    version: 123
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/permissionpolicies', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/permissionpolicies",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'name' => '<string>',\
    'permissionPolicy' => [\
        [\
                'action' => [\
\
                ],\
                'resource' => [\
                                '<string>'\
                ]\
        ]\
    ],\
    'version' => 123\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/permissionpolicies"

payload := strings.NewReader("{\n  \"name\": \"<string>\",\n  \"permissionPolicy\": [\n    {\n      \"action\": [],\n      \"resource\": [\n        \"<string>\"\n      ]\n    }\n  ],\n  \"version\": 123\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java

HttpResponse<String> response = Unirest.post("https://api.m3ter.com/organizations/{orgId}/permissionpolicies")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"<string>\",\n  \"permissionPolicy\": [\n    {\n      \"action\": [],\n      \"resource\": [\n        \"<string>\"\n      ]\n    }\n  ],\n  \"version\": 123\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://api.m3ter.com/organizations/{orgId}/permissionpolicies")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"<string>\",\n  \"permissionPolicy\": [\n    {\n      \"action\": [],\n      \"resource\": [\n        \"<string>\"\n      ]\n    }\n  ],\n  \"version\": 123\n}"

response = http.request(request)
puts response.read_body

Response

{
  "id": "<string>",
  "version": 123,
  "name": "<string>",
  "permissionPolicy": [\
    {\
      "action": [],\
      "resource": [\
        "<string>"\
      ]\
    }\
  ],
  "managedPolicy": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}